'use strict';

var aws = require('@langchain/aws');
var pluginRagAiBackendRetrievalAugmenter = require('@alithya-oss/plugin-rag-ai-backend-retrieval-augmenter');
var BedrockCohereEmbeddings = require('./BedrockCohereEmbeddings.cjs.js');

class RoadieBedrockAugmenter extends pluginRagAiBackendRetrievalAugmenter.DefaultVectorAugmentationIndexer {
  constructor(config) {
    const embeddingsConfig = {
      region: config.options.region,
      credentials: config.options.credentials,
      model: config.bedrockConfig.modelName
    };
    const embeddings = config.bedrockConfig.modelName.includes("cohere") ? new BedrockCohereEmbeddings.BedrockCohereEmbeddings({ ...embeddingsConfig, maxRetries: 3 }) : new aws.BedrockEmbeddings({ ...embeddingsConfig, maxRetries: 3 });
    super({ ...config, embeddings });
  }
}

exports.RoadieBedrockAugmenter = RoadieBedrockAugmenter;
//# sourceMappingURL=RoadieBedrockAugmenter.cjs.js.map
